org.jboss.classfilewriter.constpool

## Class DoubleEntry

- java.lang.Object
- - org.jboss.classfilewriter.constpool.ConstPoolEntry
  - - org.jboss.classfilewriter.constpool.DoubleEntry

All Implemented Interfaces:
  WritableEntry

    public class DoubleEntry
    extends ConstPoolEntry

### Constructor Summary

Constructors
Constructor and Description
`DoubleEntry(double value)`

### Method Summary

Methods
`ConstPoolEntryType` `getType()`
`void` `writeData(DataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.constpool.ConstPoolEntry

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleEntry

    public DoubleEntry(double value)

### Method Detail

#### getType

    public ConstPoolEntryType getType()

Specified by:
  `getType` in class `ConstPoolEntry`

#### writeData

    public void writeData(DataOutputStream stream)
                   throws IOException

Specified by:
  `writeData` in class `ConstPoolEntry`
Throws:
  `IOException`